# Crypto

Create a new receiver account for receiver

## Create a New Crypto Receiver Account

<mark style="color:orange;">`POST`</mark> `/api/receiver-account/<crypto-asset>/crypto`

**Headers**

| Name        | Value     |
| ----------- | --------- |
| `x-api-key` | `<token>` |
| `signature` | `<token>` |

**Body**

| Name                                            | Type   | Description                      |
| ----------------------------------------------- | ------ | -------------------------------- |
| `receiver_id`<mark style="color:red;">\*</mark> | string | Receiver ID of receiver account. |
| `address`<mark style="color:red;">\*</mark>     | string | Address of cryptocurrency asset. |
| `network`                                       | string | Network of cryptocurrency asset. |

&#x20;<mark style="color:red;">\*</mark> is mandatory parameter

#### Example body request

<mark style="color:orange;">`POST`</mark> `/api/receiver-account/btc/crypto`

```json
{
    "receiver_id": "a2bb66db-7067-44a2-8067-1393b682bc75",
    "address": "bc1p5cyxnuxmeuwuvkwfem96lxxss9s0x8r6u4q0a0"
}
```

<mark style="color:orange;">`POST`</mark> `/api/receiver-account/usdt/crypto`

```json
{
    "receiver_id": "a2bb66db-7067-44a2-8067-1393b682bc75",
    "address": "0xde0b295669a9fd93d5f28d9ec85e40f4cb697bae",
    "network": "ERC20",
}
```

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "message": "Receiver account created successfully",
    "payload": {
        "receiver_account_id": "a2bb66db-7067-44a2-8067-1393b682bc75",
        "receiver_id": "a2bb66db-7067-44a2-8067-1393b682bc75",
        "status": "pending",
        "confirm_status": "unconfirmed"
    }
}
```

{% endtab %}

{% tab title="400" %}

```json
{
    "message": "There was an error while creating a receiver account",
    "error": [
        {
            "code": "REAC211",
            "message": "Receiver ID is not valid"
        }
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payswiftly.io/payout-api/receiver/add-receiver-account/cryptocurrency/crypto.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
